# job_self.hpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/packages/job/config.hpp>`
`#include <saga/saga/packages/job/job.hpp>`
`#include <saga/saga/detail/steerable.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::job
## Classes
class | saga::job::self
| The job_self class is a job which represents the current application. More...